/******************************************************************************
 *
 * Copyright (C) 2011 Harri Hyttinen
 * Copyright (C) 2011 Juuso Korhonen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *
 *****************************************************************************/
 
 
import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {    
    Gradient {
        id: sheetItemGradient
        GradientStop { position: 0.0; color: "#DCDCDC" }
        GradientStop { position: 0.7; color: "silver" }
        GradientStop { position: 1.0; color: "#DCDCDC" }
    }

    id: sheetItem
    property alias itemGradient: sheetItemGradient
    property string labelText: ""
    property string editText: ""
    property bool focused: edit.activeFocus
    property alias inputHints: edit.inputMethodHints
    property bool oneRow: false
    property alias cursorPos: edit.cursorPosition
    property alias editField: edit

    width: parent.width
    height: oneRow ? edit.height + 10 : label.height + edit.height + 10
    gradient: sheetItemGradient
    Text {
        id: label
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.top: oneRow ? edit.top : parent.top
        text: labelText
        font.pointSize: 20
        font.family: "Nokia Pure Text Light"
        color: "steelblue"
    }
    TextField {
        id: edit
        opacity: 1.0
        anchors.top: oneRow ? parent.top : label.bottom
        anchors.left: oneRow ? label.right : parent.left
        anchors.leftMargin: oneRow ? 0 : 10
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.topMargin: oneRow ? (parent.height - height) / 2 : 0
        text: editText
        font.pointSize: 18
        font.family: "Nokia Pure Text"
        onTextChanged: {
            if(!activeFocus) {
                edit.cursorPosition = 0
            }
        }
    }

    function getText() {
        return edit.text;
    }

}
